# remove it when kde4 will be official kde package
%define _prefix /opt/kde4/
%define _libdir %_prefix/%_lib
%define _datadir %_prefix/share/
%define _bindir %_prefix/bin
%define _includedir %_prefix/include/
%define _iconsdir %_datadir/icons/
%define _sysconfdir %_prefix/etc/
%define _docdir %_datadir/doc/

%define branch_date 20070311

%define use_enable_final 0
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%define branch 1
%{?_branch: %{expand: %%global branch 1}}

%define use_enable_pie 1
%{?_no_enable_pie: %{expand: %%global use_enable_pie 0}}

%if %unstable
%define dont_strip 1
%endif



%define lib_name_orig %mklibname kdeedu4
%define lib_major 1
%define lib_name %lib_name_orig%lib_major

Name:		kdeedu4
Summary:	K Desktop Environment - Toys and Amusements
Version:    	3.80.3
Release:    	%mkrel 0.%branch_date.2
Epoch:		1
Packager:	Mandriva Linux KDE Team <kde@mandriva.com>

URL:		ftp://ftp.kde.org/pub/kde/stable/%version/src/

%if %branch
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeedu-%version-%branch_date.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeedu-%version.tar.bz2
%endif

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL

BuildRequires:  XFree86-devel  
BuildRequires:  freetype2-devel 

%define mini_release %mkrel 0.%branch_date.1
BuildRequires: kdelibs4-devel >= %version-%mini_release
BuildRequires:	bzip2-devel
BuildRequires:  jpeg-devel lcms-devel mng-devel png-devel
BuildRequires:  qt4-devel zlib-devel
BuildRequires:	cfitsio-devel
BuildRequires: mesaglut-devel
# Need by kalzium
BuildRequires:	eigen-devel >= 1.0.5 
Requires:	%lib_name = %epoch:%version-%release
# createmdkmenu
BuildRequires:  kdelibs4-common

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
This package provides:
  - KStars: a desktop planetarium for Linux/KDE
  - Kalzium: displays the Periodic Table of Elements. Included are a quizz, a
             Timeline, different color schemes and more...
  - KHangMan: the classical hangman game
  - KMessedWords: the letters are all scrambled, try to find the right word!
  - KWordQuiz: a vocabulary studying tool for learning languages or termninology
  - Kiten: a japanese reference/learning tool
  - KGeo: program for interactive Geometry just like programs such as Euklid,
          Zirkel und Lineal or Kseg
  - KmPlot: a mathematical function plotter
  - KPercentage: test your ability to answer percentage-related questions!
  - KTouch: learn touch-typing with this very efficient program
  - KEduca: helps the pupils revise their lessons
  - Blinken: blinKen is the KDE version of the well-known game Simon Says.

%package -n %lib_name-devel
Summary:    Header files for kdeedu
Group:      Development/KDE and Qt
Requires:   %lib_name = %epoch:%version-%release
Provides:	%name-devel = %epoch:%version-%release

%description -n %lib_name-devel
Headers files for kdeedu.

%package -n %lib_name
Summary:    Header files for kdeedu
Group:      Graphical desktop/KDE

%description -n %lib_name
Headers files for kdeedu.



%prep
%setup -q -nkdeedu-%version-%branch_date


%build
cd $RPM_BUILD_DIR/kdeedu-%version-%branch_date/
mkdir build
cd build

export QTDIR=/usr/lib/qt4/
export PATH=$QTDIR/bin:$PATH

cmake -DCMAKE_INSTALL_PREFIX=%_prefix \
%if %use_enable_final
      -DKDE4_ENABLE_FINAL=ON \
%endif
%if %use_enable_pie
      -DKDE4_ENABLE_FPIE=ON \
%endif
%if %unstable
      -DCMAKE_BUILD_TYPE=Debug \
%endif
%if "%{_lib}" != "lib"
      -DLIB_SUFFIX=64 \
%endif
        ../

%make


%install
rm -fr %buildroot
cd $RPM_BUILD_DIR/kdeedu-%version-%branch_date/build/

make DESTDIR=%buildroot install

mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/khangman.desktop "More Applications/Education/Languages" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/kiten.desktop "More Applications/Education/Languages" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/klettres.desktop "More Applications/Education/Languages" 
#mandriva-add-xdg-categories.pl kdeedu "More Applications/Education/Languages" %buildroot/%_datadir/applications/kde/kmessedwords.desktop %buildroot/%_menudir/kdeedu-kmessedwords kde
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/kverbos.desktop "More Applications/Education/Languages" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/kvoctrain.desktop "More Applications/Education/Languages" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/kmplot.desktop "More Applications/Education/Sciences" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/kig.desktop "More Applications/Education/Sciences" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/kpercentage.desktop "More Applications/Education/Sciences" 
#mandriva-add-xdg-categories.pl kdeedu Applications/Education/Other %buildroot/%_datadir/applications/kde/flashkard.desktop %buildroot/%_menudir/kdeedu-flashcard
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/ktouch.desktop "More Applications/Education/Other" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/kstars.desktop "More Applications/Education/Sciences" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/kalzium.desktop "More Applications/Education/Sciences" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/keduca.desktop "More Applications/Education/Other" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/keducabuilder.desktop "More Applications/Education/Other" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/kbruch.desktop "More Applications/Education/Sciences" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/kturtle.desktop "More Applications/Education/Sciences" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/klatin.desktop "More Applications/Education/Languages" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applnk/Edutainment/Miscellaneous/kwordquiz.desktop "More Applications/Education/Other" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/kgeography.desktop  "More Applications/Education/Sciences" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/blinken.desktop "More Applications/Education/Other" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/kanagram.desktop "More Applications/Education/Other" 

%post
/sbin/ldconfig              
%{update_desktop_database}
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun                                                                         
/sbin/ldconfig
%{update_desktop_database}
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%clean
rm -fr %buildroot



%files 
%defattr(-,root,root)
%config(noreplace) %_datadir/config/khangmanrc
%config(noreplace) %_datadir/config/klettresrc
%config(noreplace) %_datadir/config/kstarsrc

%dir %_datadir/config/magic/
%_datadir/config/magic/*.magic
%_datadir/config.kcfg/*.kcfg


%dir %_datadir/apps/


%dir %_datadir/apps/blinken/
%_datadir/apps/blinken/README.packagers
%_datadir/apps/blinken/fonts/steve.ttf
%_datadir/apps/blinken/sounds/*.wav
%dir %_datadir/apps/kalzium/
%_datadir/apps/kalzium/data/*.jpg
%_datadir/apps/kalzium/data/htmlview/*.png
%_datadir/apps/kalzium/data/toolpics/*.jpg
%_datadir/apps/kalzium/data/iconsets/school/*

%_datadir/apps/kanagram/data/en/*.kvtml
%_datadir/apps/kanagram/images/*.png
%_datadir/apps/kanagram/sounds/*.ogg
%dir %_datadir/apps/kgeography/
%_datadir/apps/kgeography/*.kgm
%_datadir/apps/kgeography/*.png
%_datadir/apps/kgeography/flags/*.png
%_datadir/apps/kgeography/flags/italy/*.png
%_datadir/apps/khangman/pics/desert/khangman_desert.svg
%_datadir/apps/khangman/pics/sea/*.svg
%_datadir/apps/kig/icons/hicolor/16x16/actions/*.png
%_datadir/apps/kig/icons/hicolor/22x22/actions/*.png
%_datadir/apps/kig/icons/hicolor/32x32/actions/*.png
%_datadir/apps/kig/icons/hicolor/scalable/actions/*.svgz
%_datadir/apps/klettres/en/*.xml
%_datadir/apps/kpercentage/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/kvoctrain/icons/crystalsvg/16x16/actions/*.png
%_datadir/apps/kvoctrain/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/kvoctrain/icons/crystalsvg/32x32/actions/*.png
%_datadir/apps/kvoctrain/icons/hicolor/16x16/apps/*.png
%_datadir/apps/kvoctrain/icons/hicolor/22x22/apps/*.png
%_datadir/apps/kvoctrain/icons/hicolor/32x32/apps/*.png
%_datadir/apps/kvoctrain/icons/hicolor/48x48/apps/*.png
%_datadir/apps/kwordquiz/examples/*.kvtml
%_datadir/apps/kwordquiz/icons/crystalsvg/128x128/mimetypes/kwordquiz_doc.png
%_datadir/apps/kwordquiz/icons/crystalsvg/16x16/mimetypes/*.png
%_datadir/apps/kwordquiz/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/kwordquiz/icons/crystalsvg/32x32/actions/*.png
%_datadir/apps/kwordquiz/icons/crystalsvg/48x48/mimetypes/*.png
%_datadir/apps/kwordquiz/icons/hicolor/128x128/apps/*.png
%_datadir/apps/kwordquiz/icons/hicolor/16x16/apps/kwordquiz.png
%_datadir/apps/kwordquiz/icons/hicolor/22x22/apps/kwordquiz.png
%_datadir/apps/kwordquiz/icons/hicolor/32x32/apps/kwordquiz.png
%_datadir/apps/kwordquiz/icons/hicolor/48x48/apps/kwordquiz.png
%_datadir/apps/kwordquiz/kwordquizui.rc
%_datadir/config/kvoctrainrc
%_datadir/config/kwordquizrc

%dir %_datadir/apps/kalzium/data/
%dir %_datadir/apps/kalzium/data/latticeicons/
%_datadir/apps/kalzium/data/latticeicons/*.png
%dir %_datadir/apps/kalzium/data/maps/
%_datadir/apps/kalzium/data/maps/*.png
%_datadir/apps/kalzium/icons/crystalsvg/64x64/actions/kalzium_molviewer.png
%_datadir/apps/kalzium/icons/crystalsvg/64x64/actions/kalzium_rs.png
%_datadir/apps/kalzium/icons/crystalsvg/64x64/actions/kalzium_tables.png
%_datadir/apps/kalzium/icons/crystalsvg/64x64/actions/numbers.png
%_datadir/apps/blinken/images/blinken.svg
%_datadir/apps/kalzium/data/hazardsymbols/*.png

%_datadir/apps/kgeography/flags/australia/*.png
%_datadir/apps/kgeography/flags/ukraine/*.png
%_datadir/apps/kgeography/flags/peru/*.png
%_datadir/apps/kgeography/flags/spain/*.png
%_datadir/apps/kgeography/flags/colombia/*.png
%_datadir/apps/kgeography/flags/estonia/*.png
%_datadir/apps/kgeography/flags/germany/*.png
%_datadir/apps/kgeography/flags/brazil/*.png
%_datadir/apps/kgeography/flags/canada/*.png


%_datadir/apps/kitenradselect/radselectui.rc
%_datadir/apps/kwordquiz/kwordquiz.notifyrc
%_datadir/apps/libkdeedu/data/elements.xml
%_datadir/apps/libkdeedu/data/isotopes.xml
%_datadir/apps/libkdeedu/data/spectra.xml
%_datadir/dbus-1/interfaces/*.xml
%_datadir/icons/crystalsvg/16x16/apps/kgeography.png
%_datadir/icons/crystalsvg/22x22/apps/kgeography.png


%_datadir/icons/crystalsvg/64x64/mimetypes/kig_doc.png
%_datadir/icons/crystalsvg/scalable/mimetypes/kig_doc.svgz
%_datadir/icons/hicolor/128x128/apps/*.png
%_datadir/icons/hicolor/22x22/apps/*.png
%_datadir/icons/hicolor/48x48/apps/*.png
%_datadir/icons/hicolor/64x64/apps/*.png
%_datadir/icons/hicolor/scalable/apps/*.svgz

%dir %_datadir/apps/kig/
%_datadir/apps/kig/*.rc

%dir %_datadir/apps/kig/builtin-macros/
%_datadir/apps/kig/builtin-macros/*

%_datadir/apps/kig/tips



%_datadir/services/*.desktop

%dir %_datadir/apps/kbruch/
%_datadir/apps/kbruch/*.rc





%dir %_datadir/apps/klatin/
%dir %_datadir/apps/klatin/data/
%dir %_datadir/apps/klatin/data/grammar/
%dir %_datadir/apps/klatin/data/verbs/
%dir %_datadir/apps/klatin/data/vocabs/
%dir %_datadir/apps/klatin/data/vocabs/en/


%dir %_datadir/apps/klatin/data/vocabs/pl/
%_datadir/apps/klatin/data/vocabs/pl/*.kvtml

%dir %_datadir/apps/klatin/data/vocabs/de/
%_datadir/apps/klatin/data/vocabs/de/*.kvtml


%_datadir/apps/klatin/data/grammar/*.klat
%_datadir/apps/klatin/data/verbs/*.klat
%_datadir/apps/klatin/data/vocabs/en/*.kvtml
%_datadir/apps/klatin/klatinui.rc





%dir %_datadir/apps/klettres/
%_datadir/apps/klettres/*.rc
%dir %_datadir/apps/klettres/pics/
%_datadir/apps/klettres/pics/*.png
%_datadir/apps/klettres/pics/*.jpeg

%dir %_datadir/apps/klettres/data/
%_datadir/apps/klettres/data/*.xml



%_datadir/apps/klettres/*.txt


%dir %_datadir/apps/klettres/fr/
%dir %_datadir/apps/klettres/fr/alpha/
%dir %_datadir/apps/klettres/fr/syllab/
%_datadir/apps/klettres/fr/alpha/*.ogg
%_datadir/apps/klettres/fr/syllab/*.ogg

%dir %_datadir/apps/klettres/en/
%dir %_datadir/apps/klettres/en/alpha/
%dir %_datadir/apps/klettres/en/syllab/
%_datadir/apps/klettres/en/alpha/*.ogg
%_datadir/apps/klettres/en/syllab/*.ogg

%dir %_datadir/apps/kalzium
%_datadir/apps/kalzium/*rc

%dir %_datadir/apps/kalzium/data/
%_datadir/apps/kalzium/data/*.xml

%_datadir/apps/kalzium/icons/crystalsvg/16x16/actions/*.png
%_datadir/apps/kalzium/icons/crystalsvg/32x32/actions/*.png
%_datadir/apps/kalzium/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/kalzium/icons/crystalsvg/scalable/actions/*.svgz

%dir %_datadir/apps/khangman/
%_datadir/apps/khangman/*.rc

%dir %_datadir/apps/khangman/data/
%dir %_datadir/apps/khangman/data/en/
%_datadir/apps/khangman/data/en/*.kvtml


%dir %_datadir/apps/khangman/sounds/
%_datadir/apps/khangman/sounds/*.ogg


%dir %_datadir/apps/kiten/
%_datadir/apps/kiten/*


%dir %_datadir/apps/kmplot/
%_datadir/apps/kmplot/*.rc

%_datadir/apps/kmplot/icons/crystalsvg/16x16/actions/*.png
%_datadir/apps/kmplot/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/kmplot/icons/crystalsvg/32x32/actions/*.png
%_datadir/apps/kmplot/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/kmplot/icons/crystalsvg/64x64/actions/*.png
%_datadir/apps/kmplot/icons/crystalsvg/scalable/actions/*.svgz


%dir %_datadir/apps/kpercentage/
%_datadir/apps/kpercentage/*.txt
%dir %_datadir/apps/kpercentage/pics/
%_datadir/apps/kpercentage/pics/*.png

%dir %_datadir/apps/kpercentage/story/
%_datadir/apps/kpercentage/story/*.story

%dir %_datadir/apps/kpercentage/icons/
%dir %_datadir/apps/kpercentage/icons/locolor/
%dir %_datadir/apps/kpercentage/icons/locolor/32x32
%dir %_datadir/apps/kpercentage/icons/locolor/32x32/actions/
%_datadir/apps/kpercentage/icons/locolor/32x32/actions/*.png

%dir %_datadir/apps/kpercentage/icons/crystalsvg/
%dir %_datadir/apps/kpercentage/icons/crystalsvg/32x32
%dir %_datadir/apps/kpercentage/icons/crystalsvg/32x32/actions/
%_datadir/apps/kpercentage/icons/crystalsvg/32x32/actions/*.png


%dir %_datadir/apps/kstars/
%_datadir/apps/kstars/*

%dir %_datadir/apps/ktouch/
%_datadir/apps/ktouch/*

%dir %_datadir/apps/kvoctrain/
%dir %_datadir/apps/kvoctrain/examples/
%_datadir/apps/kvoctrain/examples/*.kvtml


%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png
%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png

%dir %_iconsdir/crystalsvg/128x128/apps/
%_iconsdir/crystalsvg/128x128/apps/*.png
%dir %_iconsdir/hicolor/



%_iconsdir/crystalsvg/128x128/mimetypes/*.png
%_iconsdir/crystalsvg/16x16/mimetypes/*.png
%_iconsdir/crystalsvg/22x22/mimetypes/*.png
%_iconsdir/crystalsvg/32x32/actions/*.png
%_iconsdir/crystalsvg/32x32/mimetypes/*.png
%_iconsdir/crystalsvg/48x48/mimetypes/*.png
%_iconsdir/crystalsvg/64x64/actions/*.png
%_iconsdir/crystalsvg/64x64/apps/*.png
%_iconsdir/crystalsvg/scalable/apps/*.svgz
%_iconsdir/hicolor/16x16/apps/*.png
%_iconsdir/hicolor/32x32/apps/*.png

%_datadir/apps/kalzium/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/klettres/icons/crystalsvg/128x128/actions/*.png
%_datadir/apps/klettres/icons/crystalsvg/16x16/actions/*.png
%_datadir/apps/klettres/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/klettres/icons/crystalsvg/32x32/actions/*.png
%_datadir/apps/klettres/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/klettres/icons/crystalsvg/64x64/actions/*.png
%_datadir/apps/klettres/icons/crystalsvg/scalable/actions/*.svgz

%_datadir/apps/kvoctrain/kvoctrainui.rc


%_bindir/*


%_datadir/mimelnk/application/*.desktop

%_datadir/applications/kde4/*.desktop

%_datadir/apps/kalzium/data/htmlview/*.svg
%_datadir/apps/kalzium/data/htmlview/*.css
%_datadir/apps/kalzium/data/toolpics/*.png
%_datadir/apps/kgeography/kgeographyui.rc
%_datadir/apps/klettres/fr/*.xml
%_datadir/apps/kwordquiz/icons/crystalsvg/16x16/actions/*.png
%_datadir/apps/kwordquiz/icons/crystalsvg/22x22/mimetypes/*.png
%_datadir/apps/kwordquiz/icons/crystalsvg/32x32/mimetypes/*.png
%dir %_docdir/HTML/en/blinken/
%doc %_docdir/HTML/en/blinken/*.png
%doc %_docdir/HTML/en/blinken/*.bz2
%doc %_docdir/HTML/en/blinken/*.docbook
%dir %_docdir/HTML/en/kalzium/
%doc %_docdir/HTML/en/kalzium/*.png
%doc %_docdir/HTML/en/kalzium/*.bz2
%doc %_docdir/HTML/en/kalzium/*.docbook
%dir %_docdir/HTML/en/kanagram/
%doc %_docdir/HTML/en/kanagram/*.png
%doc %_docdir/HTML/en/kanagram/*.bz2
%doc %_docdir/HTML/en/kanagram/*.docbook
%dir %_docdir/HTML/en/kbruch/
%doc %_docdir/HTML/en/kbruch/*.png
%doc %_docdir/HTML/en/kbruch/*.bz2
%doc %_docdir/HTML/en/kbruch/*.docbook
%dir %_docdir/HTML/en/kgeography/
%doc %_docdir/HTML/en/kgeography/*.png
%doc %_docdir/HTML/en/kgeography/*.bz2
%doc %_docdir/HTML/en/kgeography/*.docbook
%dir %_docdir/HTML/en/khangman/
%doc %_docdir/HTML/en/khangman/*.png
%doc %_docdir/HTML/en/khangman/*.bz2
%doc %_docdir/HTML/en/khangman/*.docbook
%dir %_docdir/HTML/en/kig/
%doc %_docdir/HTML/en/kig/*.png
%doc %_docdir/HTML/en/kig/*.bz2
%doc %_docdir/HTML/en/kig/*.docbook
%dir %_docdir/HTML/en/kiten/
%doc %_docdir/HTML/en/kiten/*.bz2
%doc %_docdir/HTML/en/kiten/*.docbook
%doc %_docdir/HTML/en/kiten/*.png
%doc %_docdir/HTML/en/klatin/*.bz2
%doc %_docdir/HTML/en/klatin/*.docbook
%doc %_docdir/HTML/en/klatin/*.png
%dir %_docdir/HTML/en/klettres/
%doc %_docdir/HTML/en/klettres/*.bz2
%doc %_docdir/HTML/en/klettres/*.docbook
%doc %_docdir/HTML/en/klettres/*.png
%dir %_docdir/HTML/en/kmplot/
%doc %_docdir/HTML/en/kmplot/*.bz2
%doc %_docdir/HTML/en/kmplot/*.docbook
%doc %_docdir/HTML/en/kmplot/*.png
%dir %_docdir/HTML/en/kpercentage/
%doc %_docdir/HTML/en/kpercentage/*.png
%doc %_docdir/HTML/en/kpercentage/*.bz2
%doc %_docdir/HTML/en/kpercentage/*.docbook
%dir %_docdir/HTML/en/kstars/
%doc %_docdir/HTML/en/kstars/*.png
%doc %_docdir/HTML/en/kstars/*.bz2
%doc %_docdir/HTML/en/kstars/*.docbook
%doc %_docdir/HTML/en/ktouch/*.png
%doc %_docdir/HTML/en/ktouch/*.bz2
%doc %_docdir/HTML/en/ktouch/*.docbook
%dir %_docdir/HTML/en/kturtle/
%doc %_docdir/HTML/en/kturtle/*.bz2
%doc %_docdir/HTML/en/kturtle/*.docbook
%dir %_docdir/HTML/en/kvoctrain/
%doc %_docdir/HTML/en/kvoctrain/*.png
%doc %_docdir/HTML/en/kvoctrain/*.bz2
%doc %_docdir/HTML/en/kvoctrain/*.docbook
%dir %_docdir/HTML/en/kwordquiz/
%doc %_docdir/HTML/en/kwordquiz/*.bz2
%doc %_docdir/HTML/en/kwordquiz/*.docbook
%doc %_docdir/HTML/en/kwordquiz/*.png
%doc %_docdir/HTML/en/kturtle/*.png

%files -n %lib_name
%defattr(-,root,root,-)
%_libdir/libkdeeducore.so.*
%_libdir/libkdeeduui.so.*
%_libdir/libkdeeduplot.so.*
%_libdir/libextdate.so.*
%_libdir/kde4/libkigpart.so
%_libdir/kde4/kfile_drgeo.so
%_libdir/kde4/kfile_kig.so
%_libdir/kde4/libkmplotpart.so

%_libdir/libsbigudrv.so.*
%_libdir/libkiten.so.*

%_libdir/kde4/plugins/designer/kdeeduwidgets.so
%_libdir/libSatLib.so.*

%_libdir/libscience.so.*




%files -n %lib_name-devel
%defattr(-,root,root,-)
%_libdir/libkdeeducore.so
%_libdir/libkdeeduplot.so
%_libdir/libkdeeduui.so
%_libdir/libextdate.so
%_libdir/libSatLib.so
%_libdir/libscience.so
%_libdir/libkiten.so
%_libdir/libsbigudrv.so

%dir %_includedir/libkiten/
%_includedir/libkiten/*.h

%dir %_includedir/libkdeedu/
%_includedir/libkdeedu/*.h



%changelog
* Sun Mar 11 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070311.2mdv2007.1
+ Revision: 141393
- new snapshot
- new snapshot

* Mon Mar 05 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.3-0.20070228.2mdv2007.1
+ Revision: 133276
- Fix spec file
- Fix spec file
- new snapshot
- 3.80.3
- new snapshot
- Fix spec file
- new snapshot
- new snapshot
- new snapshot
- Update

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.1mdv2007.1
+ Revision: 107047
- Update
- Add new buildrequires

* Thu Jan 04 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.1mdv2007.1
+ Revision: 104085
- Fix spec file
- Import kdeedu4






* Wed Dec 27 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-2mdv2007.0
- kde4
